path: /build/build/lld-sys-devel-13.0.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-test" emerge sys-devel/lld -pv -t && \
    USE="-test" emerge -j ${JOBS} --nodeps sys-devel/lld
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/lld && luet-portage --dir /pkgdir/lld
    sys-devel/lld && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:bf5758dee055617ed2ed4dc035438e9d10d4a232ae35da4e2a53e638c6002c50
  package:
    name: lld
    version: 13.0.0
    category: sys-devel
    use_flags:
    - -test
    requires:
    - name: llvm
      version: '>=0'
      category: sys-devel-13
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: The LLVM linker (link editor)
    uri:
    - https://llvm.org/
    license: Apache-2.0-with-LLVM-exceptions UoI-NCSA
    buildtimestamp: 2023-08-20 15:27:20.813804536 +0000 UTC m=+2789.089968208
    labels:
      BDEPEND: test? ( >=dev-util/cmake-3.16 || ( ( dev-lang/python:3.10 ~dev-python/lit-13.0.0[python_targets_python3_10(-),python_single_target_python3_10(+)]
        ) ( dev-lang/python:3.8 ~dev-python/lit-13.0.0[python_targets_python3_8(-),python_single_target_python3_8(+)]
        ) ( dev-lang/python:3.9 ~dev-python/lit-13.0.0[python_targets_python3_9(-),python_single_target_python3_9(+)]
        ) ( dev-lang/python:3.7 ~dev-python/lit-13.0.0[python_targets_python3_7(-),python_single_target_python3_7(+)]
        ) ) ) dev-util/ninja dev-util/cmake
      DEPEND: ~sys-devel/llvm-13.0.0 !!sys-devel/llvm:0
      IUSE: debug test test
      RDEPEND: ~sys-devel/llvm-13.0.0
      emerge.packages: sys-devel/lld
      kit: llvm-kit
      original.package.name: sys-devel/lld
      original.package.slot: "0"
      original.package.version: 13.0.0
    treedir: /build/packages
  package_dir: /pkgdir/lld
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: ecf27de5186a371961e017a646c4ed37599cdd02cb2c88bf3ecfa1a704deea3d
compressiontype: zstd
files:
- usr/bin/ld.lld
- usr/bin/ld64.lld
- usr/bin/ld64.lld.darwinnew
- usr/bin/ld64.lld.darwinold
- usr/bin/lld
- usr/bin/lld-link
- usr/bin/wasm-ld
- usr/include/lld/Common/Args.h
- usr/include/lld/Common/Arrays.h
- usr/include/lld/Common/DWARF.h
- usr/include/lld/Common/Driver.h
- usr/include/lld/Common/ErrorHandler.h
- usr/include/lld/Common/Filesystem.h
- usr/include/lld/Common/LLVM.h
- usr/include/lld/Common/Memory.h
- usr/include/lld/Common/Reproduce.h
- usr/include/lld/Common/Strings.h
- usr/include/lld/Common/TargetOptionsCommandFlags.h
- usr/include/lld/Common/Timer.h
- usr/include/lld/Common/Version.h
- usr/include/lld/Core/AbsoluteAtom.h
- usr/include/lld/Core/ArchiveLibraryFile.h
- usr/include/lld/Core/Atom.h
- usr/include/lld/Core/DefinedAtom.h
- usr/include/lld/Core/Error.h
- usr/include/lld/Core/File.h
- usr/include/lld/Core/Instrumentation.h
- usr/include/lld/Core/LinkingContext.h
- usr/include/lld/Core/Node.h
- usr/include/lld/Core/Pass.h
- usr/include/lld/Core/PassManager.h
- usr/include/lld/Core/Reader.h
- usr/include/lld/Core/Reference.h
- usr/include/lld/Core/Resolver.h
- usr/include/lld/Core/SharedLibraryAtom.h
- usr/include/lld/Core/SharedLibraryFile.h
- usr/include/lld/Core/Simple.h
- usr/include/lld/Core/SymbolTable.h
- usr/include/lld/Core/UndefinedAtom.h
- usr/include/lld/Core/Writer.h
- usr/include/lld/ReaderWriter/MachOLinkingContext.h
- usr/include/lld/ReaderWriter/YamlContext.h
- usr/lib64/cmake/lld/LLDConfig.cmake
- usr/lib64/cmake/lld/LLDTargets-relwithdebinfo.cmake
- usr/lib64/cmake/lld/LLDTargets.cmake
- usr/lib64/liblldCOFF.so
- usr/lib64/liblldCOFF.so.13
- usr/lib64/liblldCommon.so
- usr/lib64/liblldCommon.so.13
- usr/lib64/liblldCore.so
- usr/lib64/liblldCore.so.13
- usr/lib64/liblldDriver.so
- usr/lib64/liblldDriver.so.13
- usr/lib64/liblldELF.so
- usr/lib64/liblldELF.so.13
- usr/lib64/liblldMachO.so
- usr/lib64/liblldMachO.so.13
- usr/lib64/liblldMachO2.so
- usr/lib64/liblldMachO2.so.13
- usr/lib64/liblldMinGW.so
- usr/lib64/liblldMinGW.so.13
- usr/lib64/liblldReaderWriter.so
- usr/lib64/liblldReaderWriter.so.13
- usr/lib64/liblldWasm.so
- usr/lib64/liblldWasm.so.13
- usr/lib64/liblldYAML.so
- usr/lib64/liblldYAML.so.13
- usr/share/doc/lld-13.0.0/README.md.bz2
- var/db/pkg/sys-devel/lld-13.0.0/BDEPEND
- var/db/pkg/sys-devel/lld-13.0.0/BUILD_TIME
- var/db/pkg/sys-devel/lld-13.0.0/CATEGORY
- var/db/pkg/sys-devel/lld-13.0.0/CBUILD
- var/db/pkg/sys-devel/lld-13.0.0/CFLAGS
- var/db/pkg/sys-devel/lld-13.0.0/CHOST
- var/db/pkg/sys-devel/lld-13.0.0/CONTENTS
- var/db/pkg/sys-devel/lld-13.0.0/COUNTER
- var/db/pkg/sys-devel/lld-13.0.0/CXXFLAGS
- var/db/pkg/sys-devel/lld-13.0.0/DEFINED_PHASES
- var/db/pkg/sys-devel/lld-13.0.0/DEPEND
- var/db/pkg/sys-devel/lld-13.0.0/DESCRIPTION
- var/db/pkg/sys-devel/lld-13.0.0/EAPI
- var/db/pkg/sys-devel/lld-13.0.0/FEATURES
- var/db/pkg/sys-devel/lld-13.0.0/HOMEPAGE
- var/db/pkg/sys-devel/lld-13.0.0/INHERITED
- var/db/pkg/sys-devel/lld-13.0.0/IUSE
- var/db/pkg/sys-devel/lld-13.0.0/IUSE_EFFECTIVE
- var/db/pkg/sys-devel/lld-13.0.0/KEYWORDS
- var/db/pkg/sys-devel/lld-13.0.0/LDFLAGS
- var/db/pkg/sys-devel/lld-13.0.0/LICENSE
- var/db/pkg/sys-devel/lld-13.0.0/NEEDED
- var/db/pkg/sys-devel/lld-13.0.0/PF
- var/db/pkg/sys-devel/lld-13.0.0/PROVIDES
- var/db/pkg/sys-devel/lld-13.0.0/RDEPEND
- var/db/pkg/sys-devel/lld-13.0.0/REQUIRES
- var/db/pkg/sys-devel/lld-13.0.0/RESTRICT
- var/db/pkg/sys-devel/lld-13.0.0/SIZE
- var/db/pkg/sys-devel/lld-13.0.0/SLOT
- var/db/pkg/sys-devel/lld-13.0.0/USE
- var/db/pkg/sys-devel/lld-13.0.0/environment.bz2
- var/db/pkg/sys-devel/lld-13.0.0/lld-13.0.0.ebuild
- var/db/pkg/sys-devel/lld-13.0.0/repository
package_cacheimage: ""
runtime:
  name: lld
  version: 13.0.0
  category: sys-devel
  use_flags:
  - -test
  requires:
  - name: llvm
    version: '>=0'
    category: sys-devel-13
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: The LLVM linker (link editor)
  uri:
  - https://llvm.org/
  license: Apache-2.0-with-LLVM-exceptions UoI-NCSA
  labels:
    BDEPEND: test? ( >=dev-util/cmake-3.16 || ( ( dev-lang/python:3.10 ~dev-python/lit-13.0.0[python_targets_python3_10(-),python_single_target_python3_10(+)]
      ) ( dev-lang/python:3.8 ~dev-python/lit-13.0.0[python_targets_python3_8(-),python_single_target_python3_8(+)]
      ) ( dev-lang/python:3.9 ~dev-python/lit-13.0.0[python_targets_python3_9(-),python_single_target_python3_9(+)]
      ) ( dev-lang/python:3.7 ~dev-python/lit-13.0.0[python_targets_python3_7(-),python_single_target_python3_7(+)]
      ) ) ) dev-util/ninja dev-util/cmake
    DEPEND: ~sys-devel/llvm-13.0.0 !!sys-devel/llvm:0
    IUSE: debug test test
    RDEPEND: ~sys-devel/llvm-13.0.0
    emerge.packages: sys-devel/lld
    kit: llvm-kit
    original.package.name: sys-devel/lld
    original.package.slot: "0"
    original.package.version: 13.0.0
